CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

检查属性 (ActiveX)

2023-1-3 20:45| 发布者: admin| 查看: 402| 评论: 0|来自: AutoCAD

摘要: 指定弹出菜单项的检查状态。

指定弹出菜单项的检查状态。

支持的平台:仅窗口

签名

工 务 局:

object.Check
对象

类型:弹出菜单项

此属性适用的对象。

属性值

只读:

类型:布尔

  • True:选中弹出菜单项。
  • False:未选中弹出菜单项。

言论

在下面的示例中,将选中 1 Drawing1.dwg 菜单项。



例子

工 务 局:

Sub Example_Check()
    ' This example creates a new menu called TestMenu and inserts two menu items
    ' into it. The second menu item is then checked.
    ' The menu is displayed on the menu bar.
    ' To remove the menu after execution of this macro, use the Customize Menu
    ' option from the Tools menu.
    
    Dim currMenuGroup As acadMenuGroup
    Set currMenuGroup = ThisDrawing.Application.MenuGroups.Item(0)
    
    ' Create the new menu
    Dim newMenu As AcadPopupMenu
    Set newMenu = currMenuGroup.Menus.Add("TestMenu")
    
    ' Add two menu items to the new menu
    Dim Menu1 As AcadPopupMenuItem
    Dim Menu2 As AcadPopupMenuItem
    Dim MenuSeparator As AcadPopupMenuItem
    Dim openMacro As String
    
    ' Assign the macro string the VB equivalent of "ESC ESC _open "
    openMacro = Chr(3) & Chr(3) & Chr(95) & "open" & Chr(32)
    
    Set Menu1 = newMenu.AddMenuItem(newMenu.count + 1, "Open1", openMacro)
    Set MenuSeparator = newMenu.AddSeparator("")
    Set Menu2 = newMenu.AddMenuItem(newMenu.count + 1, "Open2", openMacro)
    
    ' Disable the new menu item
    Menu2.Check = True
    
    ' Display the menu on the menu bar
    newMenu.InsertInMenuBar (ThisDrawing.Application.MenuBar.count + 1)
    
End Subt

Visual LISP:

(vl-load-com)
(defun c:Example_Check()
    ;; This example creates a new menu called TestMenu and inserts two menu items
    ;; into it. The second menu item is then checked.
    ;; The menu is displayed on the menu bar.
    ;; To remove the menu after execution of this macro, use the Customize Menu
    ;; option from the Tools menu.
    (setq acadObj (vlax-get-acad-object))
    (setq currMenuGroup (vla-Item (vla-get-MenuGroups acadObj) 0))
    
    ;; Create the new menu
    (setq newMenu (vla-Add (vla-get-Menus currMenuGroup) "TestMenu"))
    
    ;; Add two menu items to the new menu
    ;; Assign the macro string the VB equivalent of "ESC ESC _open "
    (setq openMacro (strcat (Chr 3) (Chr 3) (Chr 95) "open" (Chr 32)))
    
    (setq Menu1 (vla-AddMenuItem newMenu (1+ (vla-get-Count newMenu)) "Open1" openMacro))
    (setq MenuSeparator (vla-AddSeparator newMenu ""))
    (setq Menu2 (vla-AddMenuItem newMenu (1+ (vla-get-Count newMenu)) "Open2" openMacro))
    
    ;; Disable the new menu item
    (vla-put-Check Menu2 :vlax-true)
    
    ;; Display the menu on the menu bar
    (vla-InsertInMenuBar newMenu (1+ (vla-get-Count (vla-get-MenuBar acadObj))))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-11 15:30

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部